> For the complete documentation index, see [llms.txt](https://docs.sfbx.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfbx.io/configuration/step-3-notice-implementation-web-app-tv/ios/appconsent-sdk/flutter.md).

# Flutter

There are three UI options for our CMP: **clear** or **classic**, both are used in the same way, only the design is different.

The **classic** UI is obsolete, for a new project, choose **clear**.\
It is therefore necessary to use the **clear** module since Q4 2023!

The third one **TV**, is suitable for tv applications, at the moment we only support android TV.

[appconsent-clear package on pub.dev](https://pub.dev/packages/appconsent_clear)

[appconsent-tv package on pub.dev](https://pub.dev/packages/appconsent_tv)

{% hint style="danger" %}
**WARNING**

The Classic version is deprecated, for a new install, choose Clear.

[appconsent-classic package on pub.dev](https://pub.dev/packages/appconsent_classic)
{% endhint %}

***

## API Documentation

API Documentation for our flutter bridges are included on the pub.dev page for each package. There is also an exemple implementation code included with each package to get you started.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sfbx.io/configuration/step-3-notice-implementation-web-app-tv/ios/appconsent-sdk/flutter.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
